vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 4
声望: 0

我不用ssr,一会就断线了。不过有错误提示主窗口应该不会崩吧?断线同时我的主窗口也崩了。
用ssr连不上。
显示:
[2019-06-21T10:19:57.044108]: Unhandled WebSocket Error:<class 'websocket._exceptions.WebSocketProxyException'>
LastSentText:
None
LastReceivedText:
None
Exception trace:
Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 287, in _tunnel
status, resp_headers, status_message = read_headers(sock)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 305, in read_headers
line = recv_line(sock)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 123, in recv_line
c = recv(sock, 1)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 115, in recv
"Connection is already closed.")
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 164, in _run
self._connect()
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 147, in _connect
header=self.header
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 138, in _create_connection
return websocket.create_connection(*args, kwargs)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 514, in create_connection
websock.connect(url,
options)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 223, in connect
options.pop('socket', None))
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 122, in connect
sock = _tunnel(sock, hostname, port, auth)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 289, in _tunnel
raise WebSocketProxyException(str(e))
websocket._exceptions.WebSocketProxyException: Connection is already closed.
Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 287, in _tunnel
status, resp_headers, status_message = read_headers(sock)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 305, in read_headers
line = recv_line(sock)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 123, in recv_line
c = recv(sock, 1)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 115, in recv
"Connection is already closed.")
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 164, in _run
self._connect()
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 147, in _connect
header=self.header
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 138, in _create_connection
return websocket.create_connection(*args, kwargs)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 514, in create_connection
websock.connect(url,
options)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 223, in connect
options.pop('socket', None))
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 122, in connect
sock = _tunnel(sock, hostname, port, auth)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 289, in _tunnel
raise WebSocketProxyException(str(e))
websocket._exceptions.WebSocketProxyException: Connection is already closed.
[2019-06-21T10:19:57.152043]: Unhandled WebSocket Error:<class 'websocket._exceptions.WebSocketProxyException'>
LastSentText:
None
LastReceivedText:
None
Exception trace:
Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 287, in _tunnel
status, resp_headers, status_message = read_headers(sock)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 305, in read_headers
line = recv_line(sock)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 123, in recv_line
c = recv(sock, 1)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 115, in recv
"Connection is already closed.")
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 164, in _run
self._connect()
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 147, in _connect
header=self.header
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 138, in _create_connection
return websocket.create_connection(*args, kwargs)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 514, in create_connection
websock.connect(url,
options)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 223, in connect
options.pop('socket', None))
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 122, in connect
sock = _tunnel(sock, hostname, port, auth)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 289, in _tunnel
raise WebSocketProxyException(str(e))
websocket._exceptions.WebSocketProxyException: Connection is already closed.
Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 287, in _tunnel
status, resp_headers, status_message = read_headers(sock)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 305, in read_headers
line = recv_line(sock)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 123, in recv_line
c = recv(sock, 1)
File "D:\vnstudio\lib\site-packages\websocket_socket.py", line 115, in recv
"Connection is already closed.")
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 164, in _run
self._connect()
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 147, in _connect
header=self.header
File "D:\vnstudio\lib\site-packages\vnpy\api\websocket\websocket_client.py", line 138, in _create_connection
return websocket.create_connection(args, kwargs)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 514, in create_connection
websock.connect(url,
options)
File "D:\vnstudio\lib\site-packages\websocket_core.py", line 223, in connect
options.pop('socket', None))
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 122, in connect
sock = _tunnel(sock, hostname, port, auth)
File "D:\vnstudio\lib\site-packages\websocket_http.py", line 289, in _tunnel
raise WebSocketProxyException(str(e))
websocket._exceptions.WebSocketProxyException: Connection is already closed.
[2019-06-21T10:19:57.163015]: Unhandled RestClient Error:<class 'requests.exceptions.ConnectionError'>
request:request : GET /v1/common/symbols error because terminated:
headers: {'User-Agent': 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.0.2171.71 Safari/537.36'}
params: {'AccessKeyId': '**
', 'SignatureMethod': 'HmacSHA256', 'SignatureVersion': '2', 'Timestamp': '2019-06-21T02:19:41', 'Signature': '*'}
data: None
response:

Exception trace:
Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 597, in urlopen
self._prepare_proxy(conn)
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 807, in _prepare_proxy
conn.connect()
File "D:\vnstudio\lib\site-packages\urllib3\connection.py", line 324, in connect
self._tunnel()
File "D:\vnstudio\lib\http\client.py", line 906, in _tunnel
(version, code, message) = response._read_status()
File "D:\vnstudio\lib\http\client.py", line 278, in _read_status
raise BadStatusLine(line)
http.client.BadStatusLine:  

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\requests\adapters.py", line 449, in send
timeout=timeout
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 641, in urlopen
_stacktrace=sys.exc_info()[2])
File "D:\vnstudio\lib\site-packages\urllib3\util\retry.py", line 368, in increment
raise six.reraise(type(error), error, _stacktrace)
File "D:\vnstudio\lib\site-packages\urllib3\packages\six.py", line 685, in reraise
raise value.with_traceback(tb)
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 597, in urlopen
self._prepare_proxy(conn)
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 807, in _prepare_proxy
conn.connect()
File "D:\vnstudio\lib\site-packages\urllib3\connection.py", line 324, in connect
self._tunnel()
File "D:\vnstudio\lib\http\client.py", line 906, in _tunnel
(version, code, message) = response._read_status()
File "D:\vnstudio\lib\http\client.py", line 278, in _read_status
raise BadStatusLine(line)
urllib3.exceptions.ProtocolError: ('Connection aborted.', BadStatusLine('\x05\x00\x00\x01\x00\x00\x00\x00\x00\x00'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\vnpy\api\rest\rest_client.py", line 256, in _process_request
proxies=self.proxies,
File "D:\vnstudio\lib\site-packages\requests\sessions.py", line 533, in request
resp = self.send(prep, send_kwargs)
File "D:\vnstudio\lib\site-packages\requests\sessions.py", line 646, in send
r = adapter.send(request,
kwargs)
File "D:\vnstudio\lib\site-packages\requests\adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', BadStatusLine('\x05\x00\x00\x01\x00\x00\x00\x00\x00\x00'))
Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 597, in urlopen
self._prepare_proxy(conn)
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 807, in _prepare_proxy
conn.connect()
File "D:\vnstudio\lib\site-packages\urllib3\connection.py", line 324, in connect
self._tunnel()
File "D:\vnstudio\lib\http\client.py", line 906, in _tunnel
(version, code, message) = response._read_status()
File "D:\vnstudio\lib\http\client.py", line 278, in _read_status
raise BadStatusLine(line)
http.client.BadStatusLine:  

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\requests\adapters.py", line 449, in send
timeout=timeout
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 641, in urlopen
_stacktrace=sys.exc_info()[2])
File "D:\vnstudio\lib\site-packages\urllib3\util\retry.py", line 368, in increment
raise six.reraise(type(error), error, _stacktrace)
File "D:\vnstudio\lib\site-packages\urllib3\packages\six.py", line 685, in reraise
raise value.with_traceback(tb)
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 597, in urlopen
self._prepare_proxy(conn)
File "D:\vnstudio\lib\site-packages\urllib3\connectionpool.py", line 807, in _prepare_proxy
conn.connect()
File "D:\vnstudio\lib\site-packages\urllib3\connection.py", line 324, in connect
self._tunnel()
File "D:\vnstudio\lib\http\client.py", line 906, in _tunnel
(version, code, message) = response._read_status()
File "D:\vnstudio\lib\http\client.py", line 278, in _read_status
raise BadStatusLine(line)
urllib3.exceptions.ProtocolError: ('Connection aborted.', BadStatusLine('\x05\x00\x00\x01\x00\x00\x00\x00\x00\x00'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\vnstudio\lib\site-packages\vnpy\api\rest\rest_client.py", line 256, in _process_request
proxies=self.proxies,
File "D:\vnstudio\lib\site-packages\requests\sessions.py", line 533, in request
resp = self.send(prep, send_kwargs)
File "D:\vnstudio\lib\site-packages\requests\sessions.py", line 646, in send
r = adapter.send(request,
kwargs)
File "D:\vnstudio\lib\site-packages\requests\adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', BadStatusLine('\x05\x00\x00\x01\x00\x00\x00\x00\x00\x00'))
QObject::startTimer: Timers can only be used with threads started with QThread

Member
avatar
加入于:
帖子: 4
声望: 0

改用ss成功了。

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3